Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode
Class Resolution

    java.lang.Object
      com.aspose.barcode.Resolution

    public class Resolution

extends java.lang.Object

Resolution of the barcode image.

Constructor Summary
`Resolution()` Construct x Resolution with default settings, with x 96 * 96 DpiX and DpiY
`Resolution(int dpi)` Constructs x Resolution class with custom settings
`Resolution(int dpiX, int dpiY)` Constructs x Resolution class with custom settings

Method Summary
`int` | `getDpiX()` Gets the dot per inch of the x axis
`int` | `getDpiY()` Gets the dot per inch of the y axis
`void` | `setDpi(int dpi)` Sets the dot per inch on both x axis and y axis.
`void` | `setDpi(int dpiX, int dpiY)` Sets the dot per inch on both x axis and y axis.
`void` | `setDpiX(int value)` Sets the dot per inch of the y axis
`void` | `setDpiY(int value)` Sets the dot per inch of the y axis

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resolution

    public Resolution()

  Construct x Resolution with default settings, with x 96 * 96 DpiX and DpiY

### Resolution

    public Resolution(int dpiX,
                      int dpiY)

  Constructs x Resolution class with custom settings

  Parameters:
    `dpiX` - horizontal dots per inch
    `dpiY` - vertical dots per inch

### Resolution

    public Resolution(int dpi)

  Constructs x Resolution class with custom settings

  Parameters:
    `dpi` - horizontal and vertical dots per inch

Method Detail

### getDpiX

    public int getDpiX()

  Gets the dot per inch of the x axis

### setDpiX

    public void setDpiX(int value)

  Sets the dot per inch of the y axis

### getDpiY

    public int getDpiY()

  Gets the dot per inch of the y axis

### setDpiY

    public void setDpiY(int value)

  Sets the dot per inch of the y axis

### setDpi

    public void setDpi(int dpi)

  Sets the dot per inch on both x axis and y axis.

  Parameters:
    `dpi` - dot per inch

### setDpi

    public void setDpi(int dpiX,
                       int dpiY)

  Sets the dot per inch on both x axis and y axis.

  Parameters:
    `dpiX` - dot per inch on the x axis
    `dpiY` - dot per inch on the y axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD